/*
 * This file is part of essential (http://essential.craftforge.net).
 *
 *     Essential is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU Lesser Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 *
 *     Essential is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright (c) 2011 Christian Bick.
 */

package net.craftforge.essential.testsuite.environment.mocks;

import net.craftforge.essential.controller.Setup;
import net.craftforge.essential.controller.handlers.AuthenticationHandler;

/**
 * @author Christian Bick
 * @since 23.05.2011
 */
public class MockAuthenticationHandler implements AuthenticationHandler {

    public boolean authenticate(Setup setup) {
        String user = setup.getHeaderHandler().getAuthorizationUser();
        String pass = setup.getHeaderHandler().getAuthorizationPassword();
        return user != null && pass != null && user.equals("admin") && pass.equals("admin");
    }
}
